PLaSK library

Loading...
Searching...
No Matches
Public Member Functions | List of all members
plask::DontCopyThisField< T > Struct Template Reference

This template can be used to show fileds shich should be just ignore by copy constructors and assign operators of the class. More...

`#include <plask/utils/stl.hpp>`

Inheritance diagram for plask::DontCopyThisField< T >:
[legend]
Collaboration diagram for plask::DontCopyThisField< T >:
[legend]

## Public Member Functions
| DontCopyThisField ()=default
| DontCopyThisField (const DontCopyThisField< T > &) noexcept
| DontCopyThisField (const T &) noexcept
| DontCopyThisField (DontCopyThisField &&from)=default
| DontCopyThisField (T &&from) noexcept(noexcept(T(::std::move(from))))
DontCopyThisField & | operator= (const T &) noexcept
DontCopyThisField & | operator= (const DontCopyThisField &) noexcept
DontCopyThisField & | operator= (T &&from) noexcept(noexcept(T::operator=(::std::move(from))))
DontCopyThisField & | operator= (DontCopyThisField &&from)=default

## Detailed Description

template<typename T>
struct plask::DontCopyThisField< T >

This template can be used to show fileds shich should be just ignore by copy constructors and assign operators of the class.

Definition at line 241 of file stl.hpp.

## Constructor & Destructor Documentation

## ◆ DontCopyThisField() [1/5]

template<typename T >

plask::DontCopyThisField< T >::DontCopyThisField | ( |  | ) |
| default

## ◆ DontCopyThisField() [2/5]

template<typename T >

plask::DontCopyThisField< T >::DontCopyThisField | ( | const DontCopyThisField< T > & |  | ) |
| inline noexcept

Definition at line 250 of file stl.hpp.

## ◆ DontCopyThisField() [3/5]

template<typename T >

plask::DontCopyThisField< T >::DontCopyThisField | ( | const T & |  | ) |
| inline noexcept

Definition at line 252 of file stl.hpp.

## ◆ DontCopyThisField() [4/5]

template<typename T >

plask::DontCopyThisField< T >::DontCopyThisField | ( | DontCopyThisField< T > && | from | ) |
| default

## ◆ DontCopyThisField() [5/5]

template<typename T >

plask::DontCopyThisField< T >::DontCopyThisField | ( | T && | from | ) |
| inline noexcept

Definition at line 256 of file stl.hpp.

## Member Function Documentation

## ◆ operator=() [1/4]

template<typename T >

DontCopyThisField & plask::DontCopyThisField< T >::operator= | ( | const DontCopyThisField< T > & |  | ) |
| inline noexcept

Definition at line 264 of file stl.hpp.

## ◆ operator=() [2/4]

template<typename T >

DontCopyThisField & plask::DontCopyThisField< T >::operator= | ( | const T & |  | ) |
| inline noexcept

Definition at line 260 of file stl.hpp.

## ◆ operator=() [3/4]

template<typename T >

DontCopyThisField & plask::DontCopyThisField< T >::operator= | ( | DontCopyThisField< T > && | from | ) |
| default

## ◆ operator=() [4/4]

template<typename T >

DontCopyThisField & plask::DontCopyThisField< T >::operator= | ( | T && | from | ) |
| inline noexcept

Definition at line 268 of file stl.hpp.

The documentation for this struct was generated from the following file:

- plask/utils/stl.hpp